%define module	HTML-FillInForm
%define	name	perl-%{module}
%define version 1.05
%define release 1mdk

Summary:	%{module} module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRequires:	perl-devel perl-CGI perl-HTML-Parser
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	perl
BuildArch:	noarch

%description
This module automatically inserts data from a previous HTML form into the HTML
input, textarea, radio buttons, checkboxes and select tags.  It is a subclass
of HTML::Parser and uses it to parse the HTML and insert the values into the
form tags.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/HTML

%changelog
* Mon Jan 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.05-1mdk
- 1.05
- New description

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.04-1mdk
- 1.04

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-2mdk
- rebuild for new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Mon Jun 30 2003 Franois Pons <fpons@mandrakesoft.com> 1.02-1mdk
- 1.02.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-2mdk
- rebuild for new auto{prov,req}

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 1.01-1mdk
- 1.01.

* Fri Oct 25 2002 Franois Pons <fpons@mandrakesoft.com> 1.00-1mdk
- 1.00.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.29-2mdk
- rebuild for perl 5.8.0
- remove filelist
- install in vendor_perl

* Fri May 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.29-1mdk
- 0.29.

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.28-1mdk
- 0.28.

* Thu Apr 11 2002 Franois Pons <fpons@mandrakesoft.com> 0.25-1mdk
- 0.25.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 0.24-1mdk
- 0.24.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.23-1mdk
- 0.23
- Update perl version in requires.

* Tue Nov  6 2001 Stefan van der Eijk <stefan@eijk.nu> 0.21-2mdk
- BuildRequires: perl-CGI perl-HTML-Parser

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.21-1mdk
- First RPM
